#include "classeditor.h"
#include "ui_classeditor.h"

ClassEditor::ClassEditor(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::ClassEditor)
{
    ui->setupUi(this);
//    settdialog = new SettingsDialog(this);
    settdialog.show();
    sql.setDatabaseName(tr("an_db"));
    field = new TableField(tr(""), this);
    field->setNotNull(true);
    field->setDefaultValue(tr(""));

    table = new SqlTable (tr("NewTable"), this);
    table->setName(tr("NewTable"));
    table->fields().at(0)->setNotNull(true);
    if (!(table->setPrimaryKey(tr("ID")))) {
         ui->label_3->setText(table->lastError());
    }
    else  ui->label_3->setText(table->primaryKey());
    table->append(field);

    field = new TableField(tr(""), this);
    field->setNotNull(true);
    field->setDefaultValue(tr(""));
    table->append(field);

    field = new TableField(tr(""), this);
    field->setNotNull(true);
    field->setDefaultValue(tr(""));
    table->append(field);

    field = new TableField(tr(" ()"), this);
    field->setNotNull(true);
    field->setType(tr("INTEGER"));
    field->setDefaultValue(tr("1"));
    table->append(field);

    field = new TableField(tr(" "), this);
    field->setNotNull(false);
    field->setType(tr("DATE"));
    field->setDefaultValue(tr("NULL"));
    table->append(field);

    ui->label_2->setText(table->name());
    ui->label->setText(table->fields().at(0)->sqlString());
    ui->label_4->setText(table->sqlString());
   ////// ui->lineEdit->insert(table->sqlString());

    QTextDocument *document;
    // = ui->textEdit->document();
    QTextCursor *cursor;
    document = ui->textEdit->document();
    cursor = new QTextCursor(document);
    cursor->movePosition(QTextCursor::Start);
QTextCharFormat format(cursor->charFormat());
//format.setFontFamily("Courier");
format.setFontFamily("Arial");
//format.setFontItalic(false);

format.setFontWeight(QFont::Normal);
QTextCharFormat boldFormat = format;
boldFormat.setFontWeight(QFont::Bold);

QTextCharFormat italicFormat = format;
//format.setFontFamily("Courier");
//     format.setFontFamily("Arial");
italicFormat.setFontItalic(true);

cursor->insertText(table->sqlString(), format);
}

ClassEditor::~ClassEditor()
{
    delete ui;
 //    delete field;
   // delete settdialog;
}

void ClassEditor::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
